package com.wdkl.ncs.android.middleware.model;

import java.io.Serializable;

public class ActionItem implements Serializable {
    private Integer id;

    private String keyCode;

    private String name;

    private String iconSrc;

    public ActionItem() {}

    public ActionItem(Integer id, String keyCode, String name, String iconSrc) {
        this.id = id;
        this.keyCode = keyCode;
        this.name = name;
        this.iconSrc = iconSrc;
    }

    public String getKeyCode() {
        return keyCode;
    }

    public void setKeyCode(String keyCode) {
        this.keyCode = keyCode;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIconSrc() {
        return iconSrc;
    }

    public void setIconSrc(String iconSrc) {
        this.iconSrc = iconSrc;
    }
}
